org.apache.synapse.securevault

## Enum KeyStoreType

- java.lang.Object
- - java.lang.Enum<KeyStoreType>
  - - org.apache.synapse.securevault.KeyStoreType

- All Implemented Interfaces:
    Serializable, Comparable<KeyStoreType>

      public enum KeyStoreType
      extends Enum<KeyStoreType>

  KeyStore Types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CA_CERTIFICATES_PATH`
    `JKS`
    `PKCS12`
    `PKCS8`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeyStoreType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static KeyStoreType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JKS

          public static final KeyStoreType JKS

    - #### PKCS8

          public static final KeyStoreType PKCS8

    - #### PKCS12

          public static final KeyStoreType PKCS12

    - #### CA_CERTIFICATES_PATH

          public static final KeyStoreType CA_CERTIFICATES_PATH

  - ### Method Detail

    - #### values

          public static KeyStoreType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyStoreType c : KeyStoreType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeyStoreType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–2024 Apache Software Foundation. All rights reserved.